Chromium Code Reviews
Help | Chromium Project | Sign in
(7)

Issue 11417036: Fix user-level Chrome self-destruction issues on Windows 8. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 7 months ago by gab (OOO)
Modified:
2 years, 7 months ago
Reviewers:
Nico, robertshield, grt
CC:
chromium-reviews, grt+watch_chromium.org
Visibility:
Public.

Description

Remove self-destruct message box (causing hang in Metro). Launch self-destruct setup out of job (so that it doesn't die when killing the chrome.exe which created it...). And be more drastic about killing Chrome processes on force-uninstall (pure kill, no wait). BUG=158632, 159995 TEST=Install system-level over user-level (with user-level set to run in Metro mode); next run should self-destruct user-level Chrome (silently); subsequent launches should launch system-level Chrome. This should also fix users currently in this bad state (upon updating the user-level Chrome which will then be able to self-destruct properly). This might also solve bug 159995, will need to test with official build (it definitely solves the part where when both Chromes are present, user-level is activated, but hangs on the self-destruct message (which can't be displayed in Metro) -- the stronger kill process in this CL might also help with the user-level binaries left behind issue). Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=169130

Patch Set 1 #

Total comments: 10

Patch Set 2 : Also kill delegate_execute.exe. #

Patch Set 3 : Kill delegate_execute only on Win8 and only remove dialog on Win8/Metro #

Total comments: 2

Patch Set 4 : dont rm delegate_execute and only breakaway if Metro #

Patch Set 5 : rebase on master #

Messages

Total messages: 14 (0 generated)
gab (OOO)
Sirs, this is going to stable so I'd like a double-review (although this is fairly ...
2 years, 7 months ago (2012-11-16 19:42:44 UTC) #1
robertshield
https://codereview.chromium.org/11417036/diff/1/chrome/browser/chrome_browser_main_win.cc File chrome/browser/chrome_browser_main_win.cc (left): https://codereview.chromium.org/11417036/diff/1/chrome/browser/chrome_browser_main_win.cc#oldcode368 chrome/browser/chrome_browser_main_win.cc:368: ui::MessageBox(NULL, text, caption, flags); Let's only remove this on ...
2 years, 7 months ago (2012-11-16 20:23:33 UTC) #2
grt
https://codereview.chromium.org/11417036/diff/1/chrome/browser/chrome_browser_main_win.cc File chrome/browser/chrome_browser_main_win.cc (left): https://codereview.chromium.org/11417036/diff/1/chrome/browser/chrome_browser_main_win.cc#oldcode368 chrome/browser/chrome_browser_main_win.cc:368: ui::MessageBox(NULL, text, caption, flags); On 2012/11/16 20:23:33, robertshield wrote: ...
2 years, 7 months ago (2012-11-16 21:11:24 UTC) #3
gab (OOO)
PTAL. CloseChromeFrameHelperProcess() already takes care of the Chrome Frame related processes; however it only does ...
2 years, 7 months ago (2012-11-20 00:46:36 UTC) #4
robertshield
lgtm
2 years, 7 months ago (2012-11-20 02:09:24 UTC) #5
grt
https://codereview.chromium.org/11417036/diff/1/chrome/installer/setup/uninstall.cc File chrome/installer/setup/uninstall.cc (right): https://codereview.chromium.org/11417036/diff/1/chrome/installer/setup/uninstall.cc#newcode190 chrome/installer/setup/uninstall.cc:190: base::CleanupProcesses(installer::kChromeExe, base::TimeDelta(), On 2012/11/20 00:46:36, gab wrote: > On ...
2 years, 7 months ago (2012-11-20 02:35:38 UTC) #6
gab (OOO)
PTAL https://codereview.chromium.org/11417036/diff/1/chrome/installer/setup/uninstall.cc File chrome/installer/setup/uninstall.cc (right): https://codereview.chromium.org/11417036/diff/1/chrome/installer/setup/uninstall.cc#newcode194 chrome/installer/setup/uninstall.cc:194: } On 2012/11/20 02:35:38, grt wrote: > On ...
2 years, 7 months ago (2012-11-20 15:38:06 UTC) #7
grt
lgtm
2 years, 7 months ago (2012-11-20 15:57:21 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gab@chromium.org/11417036/1004
2 years, 7 months ago (2012-11-20 20:57:10 UTC) #9
commit-bot: I haz the power
Presubmit check for 11417036-1004 failed and returned exit status 1. Running presubmit commit checks ...
2 years, 7 months ago (2012-11-20 20:57:13 UTC) #10
gab (OOO)
@Nico for chrome/browser/chrome_browser_main_win.cc Thanks, Gab
2 years, 7 months ago (2012-11-21 17:07:49 UTC) #11
Nico
lgtm stamp
2 years, 7 months ago (2012-11-21 17:13:53 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gab@chromium.org/11417036/1004
2 years, 7 months ago (2012-11-21 19:55:36 UTC) #13
commit-bot: I haz the power
2 years, 7 months ago (2012-11-21 21:07:51 UTC) #14
Change committed as 169130
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1f9106d